# FOO:
# Simple test cell:
# Input: x1, x2, x3
# Output: y1, y2
# y1, y2 = (x1 and x2 , not x3)
# The keywork "name=x" is optional.
# 'type' is the logic cell name to which the gate is a copy of.

GATE (name="x1", type="inp")
GATE (name="x2", type="inp")
GATE (name="x3", type="inp")
GATE (name="y1", type="out")
GATE (name="y2", type="out")
GATE (name="g1", type="and2")
GATE (name="g2", type="not")

WIRE ("x1",   "g1/x1")
WIRE ("x2",   "g1/x2")
WIRE ("x3",   "g2/x")
WIRE ("g1/y", "y1")
WIRE ("g2/y", "y2")


