# CELL: FULL ADDER 2 
# Input: a1, a0, b1, b0
# Output: y2, y1, y0
# (y2, y1, y0) = (a1, a0) + (b1, b0)
# We need adder3 (should be loaded automatically!)

GATE("a1", type="inp")
GATE("a0", type="inp")
GATE("b1", type="inp")
GATE("b0", type="inp") 
GATE("ad3", type="adder3")     # a gate of type adder3
GATE("y2", type="out")
GATE("y1", type="out")
GATE("y0", type="out")
GATE("g0", type="zero")

WIRE("a0", "ad3/a0"),
WIRE("a1", "ad3/a1"),
WIRE("b0", "ad3/b0"),
WIRE("b1", "ad3/b1"),
WIRE("g0", "ad3/a2"),
WIRE("g0", "ad3/b2"),
WIRE("g0", "ad3/cin"),
WIRE("ad3/y0", "y0"),
WIRE("ad3/y1", "y1"),
WIRE("ad3/y2", "y2"),

